import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterOutlet } from '@angular/router';
import {MessagesComponent} from "./messages/messages.component";
import {FormsModule} from "@angular/forms";
import axios from 'axios';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [CommonModule, RouterOutlet, MessagesComponent, FormsModule],
  templateUrl: './app.component.html',
  styleUrl: './app.component.scss'
})
export class AppComponent {
  username = 'Walzen665';
  clientId = 0 ;
  apiUrl = "http://localhost:8080";

  sendMessage() {
    console.log()
  }

  requestClientId() {
    axios.get(this.apiUrl + '/getClientId', {
      headers: {
        'Access-Control-Allow-Origin': '*',
      }
    }).then(response => {
      this.clientId = response.data;
      console.log(this.clientId)
    }).catch(error => {
      console.error("WAS DAS FÜR KACKE!");
    });
  }
}
